Bug 215894 - Relative height of 0x0901 (and 0x0902) on 0x0915 is different than other devnagari characters (hi_IN, mr_IN)
Relative height of 0x0901 (and 0x0902) on 0x0915 is different than other devn...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fonts-indic (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rahul Bhalerao
: i18n
Depends On:
Blocks: 215896
  Show dependency treegraph
 
Reported: 2006-11-16 04:45 EST by Mayank Jain
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-28 06:56:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bug description & a test case (43.46 KB, image/png)
2006-11-16 04:45 EST, Mayank Jain
no flags Details
Modified Hindi font which solved 0x0915 problem (74.02 KB, application/x-font-ttf)
2006-11-20 04:51 EST, Parag Nemade
no flags Details
Fixed Font file (75.16 KB, application/x-font-ttf)
2007-01-04 05:06 EST, Parag Nemade
no flags Details
Verified Image (7.63 KB, image/png)
2007-04-28 06:50 EDT, A S Alam
no flags Details

  None (edit)
Description Mayank Jain 2006-11-16 04:45:35 EST
Description of problem:
Relative height of 0x0901 (and 0x0902) on 0x0915 is different than other
devnagari character. This affects all scripts originating from devnagari - eg.
Hindi and Marathi. 

Version-Release number of selected component (if applicable):
fonts-hindi-2.0.6-1

How reproducible:
Always

Steps to Reproduce:
1. Open gedit, select hi-phonetic keymap
2. type according to the attached screenshot
3. Observe the relative height of 0x0901 (or 0x0902) on 0x0915 and any other
example character.
  
Actual results:
Height difference in positioning of 0x0901 (and 0x0902) on 0x0915 and any other
devnagari character

Expected results:
Relative height of 0x0901 (and 0x0902) should be same on 0x0915 and any other
devnagari character

Additional info:
Comment 1 Mayank Jain 2006-11-16 04:45:35 EST
Created attachment 141351 [details]
Bug description & a test case
Comment 2 Parag Nemade 2006-11-20 04:52:00 EST
Created attachment 141635 [details]
Modified Hindi font which solved 0x0915 problem
Comment 3 Parag Nemade 2007-01-04 05:06:11 EST
Created attachment 144783 [details]
Fixed Font file
Comment 4 Parag Nemade 2007-01-18 01:19:08 EST
This fix has been built in fonts-indic-2.1.2-1 rpm
Comment 5 A S Alam 2007-04-28 06:50:02 EDT
Created attachment 153701 [details]
Verified Image
Comment 6 A S Alam 2007-04-28 06:56:27 EDT
Close:
tested with following version:
fonts-hindi-2.1.5-1.fc7

Note You need to log in before you can comment on or make changes to this bug.